# Uses of Class
org.apache.sysds.runtime.instructions.spark.QuantileSortSPInstruction

Packages that use QuantileSortSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of QuantileSortSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type QuantileSortSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getQSortInstTime(QuantileSortSPInstruction inst, VarStats input, VarStats weights, VarStats output, IOCostUtils.IOMetrics executorMetrics)`

## Uses of QuantileSortSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type QuantileSortSPInstruction
Modifier and Type
Method
Description
`static QuantileSortFEDInstruction`
QuantileSortFEDInstruction.`parseInstruction(QuantileSortSPInstruction instr)`

## Uses of QuantileSortSPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return QuantileSortSPInstruction
Modifier and Type
Method
Description
`static QuantileSortSPInstruction`
QuantileSortSPInstruction.`parseInstruction(String str)`